Add to Basket Compare Quick view Cisco Cisco Front-to-Back Cooling - power supply - hot-plug / redundant - 750 Watt MSRP: £1,564.04 Now: £1,303.37 Inc. VAT Was: MSRP: £1,303.37 Now: £1,086.14 Ex. VAT Was: Power supply - hot-plug AC 100-240 V 750 Watt Catalyst 4500-X 50 - 60 Hz MSRP: £1,564.04 Now: £1,303.37 Inc. VAT Was: MSRP: £1,303.37 Now: £1,086.14 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C3750G-24T-E - Cisco Catalyst 3750 Switch 24-Ports 10/100/1000BaseT Enhanced Fast Gigabit Ethernet (Refurbished) MSRP: £6,302.78 Now: £5,252.32 Inc. VAT Was: MSRP: £5,252.32 Now: £4,376.93 Ex. VAT Was: Cisco Catalyst 3750 Switch 24-Ports 10/100/1000BaseT Enhanced Fast Gigabit Ethernet (Refurbished) Mfr P/N WS-C3750G-24T-E MSRP: £6,302.78 Now: £5,252.32 Inc. VAT Was: MSRP: £5,252.32 Now: £4,376.93 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960-48TT-L Switch 48 Ports Managed Rack-Mountable MSRP: £1,393.64 Now: £1,161.37 Inc. VAT Was: MSRP: £1,161.37 Now: £967.81 Ex. VAT Was: Manufacturer: Cisco Device Type: Switch - 48 ports - Managed Enclosure Type: Rack-mountable 1U Subtype: Fast Ethernet Ports: 48 x 10/100 + 2 x 10/100/1000 MSRP: £1,393.64 Now: £1,161.37 Inc. VAT Was: MSRP: £1,161.37 Now: £967.81 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco SRW2048-K9-NA Managed network switch L2 network switch MSRP: £1,215.94 Now: £1,013.28 Inc. VAT Was: MSRP: £1,013.28 Now: £844.40 Ex. VAT Was: Management featuresSwitch typeManaged network switchQuality of Service (QoS) supportYesMIB supportRFC1213, RFC2863, RFC1493, RFC2674, RFC2819, RFC 2618Switch layerL2Ports & interfacesBasic switching... MSRP: £1,215.94 Now: £1,013.28 Inc. VAT Was: MSRP: £1,013.28 Now: £844.40 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960X-24TS-L Switch 24 Ports Managed Desktop MSRP: £1,399.74 Now: £1,166.45 Inc. VAT Was: MSRP: £1,166.45 Now: £972.04 Ex. VAT Was: Cisco Catalyst 2960X 24 ports Switch managed 24 x 10/100/1000 + 4 x Gigabit SFP desktop rack-mountable MSRP: £1,399.74 Now: £1,166.45 Inc. VAT Was: MSRP: £1,166.45 Now: £972.04 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco SRW2048-K9 - Cisco SRW2048 48-Port 10/100/1000Mbps Gigabit Ethernet Switch (Refurbished) MSRP: £418.51 Now: £348.76 Inc. VAT Was: MSRP: £348.76 Now: £290.63 Ex. VAT Was: Cisco SRW2048 48-Port 10/100/1000Mbps Gigabit Ethernet Switch (Refurbished) Mfr P/N SRW2048-K9 MSRP: £418.51 Now: £348.76 Inc. VAT Was: MSRP: £348.76 Now: £290.63 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960S-24TS-L Switch 24 Ports Managed Rack Mountable MSRP: £531.67 Now: £443.06 Inc. VAT Was: MSRP: £443.06 Now: £369.22 Ex. VAT Was: Cisco Catalyst 2960S switch 24 ports Managed rack-mountable 24 x 10/100/1000 + 4 x SFP rack-mountable MSRP: £531.67 Now: £443.06 Inc. VAT Was: MSRP: £443.06 Now: £369.22 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst Compact 3560CG-8PC-S Switch Managed MSRP: £1,647.41 Now: £1,372.84 Inc. VAT Was: MSRP: £1,372.84 Now: £1,144.03 Ex. VAT Was: Switch - 8 ports - Managed Desktop, rack-mountable, wall-mountable 1U Gigabit Ethernet 8 x 10/100/1000 (PoE) + 2 x combo Gigabit SFP MSRP: £1,647.41 Now: £1,372.84 Inc. VAT Was: MSRP: £1,372.84 Now: £1,144.03 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst Compact 3560-C PD PSE - Switch - 8 Ports - Managed - Desktop MSRP: £844.57 Now: £703.81 Inc. VAT Was: MSRP: £703.81 Now: £586.51 Ex. VAT Was: Main Specifications: Product Description Cisco Catalyst Compact 3560-C PD PSE - switch - 8 ports - managed - desktop Device Type Switch - 8 ports - managed Enclosure Type Desktop Subtype... MSRP: £844.57 Now: £703.81 Inc. VAT Was: MSRP: £703.81 Now: £586.51 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960-24-S Switch Managed 24 x 10/100- Rack-Mountable MSRP: £426.43 Now: £355.36 Inc. VAT Was: MSRP: £355.36 Now: £296.13 Ex. VAT Was: Cisco Catalyst 2960 Switch managed 24 x 1/1 rack-mountable MSRP: £426.43 Now: £355.36 Inc. VAT Was: MSRP: £355.36 Now: £296.13 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Power Supply Hot-Plug ( Plug-In Module ) 1400 Watt MSRP: £2,226.38 Now: £1,855.32 Inc. VAT Was: MSRP: £1,855.32 Now: £1,546.10 Ex. VAT Was: General Specifications General Product Name Cisco power supply - hot-plug - 1400 Watt Product Type Power supply - hot-plug - plug-in module Input Voltage -48, -60 V Power Provided 1400... MSRP: £2,226.38 Now: £1,855.32 Inc. VAT Was: MSRP: £1,855.32 Now: £1,546.10 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco - Power supply - Hot-plug ( plug-in module ) - 1400 Watt MSRP: £1,144.87 Now: £954.06 Inc. VAT Was: MSRP: £954.06 Now: £795.05 Ex. VAT Was: General Specifications General Product Name Cisco power supply - 1.4 kW Product Type Power supply Input Voltage -48 V Output Voltage 3.3 / 12 V Power Provided 1.4 kW OS Required Cisco... MSRP: £1,144.87 Now: £954.06 Inc. VAT Was: MSRP: £954.06 Now: £795.05 Ex. VAT Was: Add to Basket Compare Quick view